Bug Hunting Session
Bug 58774 - Alternative dialog Find & Replace for Writer: [DE] UI with untranslated string "Preserve capitalization"
Summary: Alternative dialog Find & Replace for Writer: [DE] UI with untranslated strin...
Status: RESOLVED NOTOURBUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Extensions (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL: http://extensions.libreoffice.org/ext...
Whiteboard: target:4.4.0 target:4.2.6 target:4.3.0.2
Keywords: difficultyBeginner, easyHack, skillLibreOfficeBASIC
Depends on:
Blocks:
 
Reported: 2012-12-26 08:27 UTC by Rainer Bielefeld Retired
Modified: 2015-12-15 22:47 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (138.25 KB, image/png)
2012-12-26 08:27 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-12-26 08:27:56 UTC
Created attachment 72127 [details]
Screenshot

Steps how to reproduce with Extension Version 1.3.2 and LibO 3.6.4.3:
0. Install extension, exit and relaunch LibO
1. Launch Writer
2. Click binocular in task bar to launch Alternative Find & Replace
   Bug: "Preserve capitalization" option in Dialog
   Should be "Großschreibung beibehalten"
Comment 1 Joel Madero 2014-02-27 22:58:13 UTC
In order to limit the confusion between ProposedEasyHack and EasyHack and to make queries much easier we are changing ProposedEasyHack to NeedsDevEval.

Thank you and apologies for the noise
Comment 2 Julien Nabet 2014-06-21 20:30:24 UTC
The translation isn't complete in ./AltSearch/Local1.xba (perhaps not the only file).
Comment 3 Commit Notification 2014-06-21 20:37:40 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d59da701c67074a44abcfebcb7506792d12127ae

Related fdo#58774 Alternative dialog Find & Replace for Writer



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Julien Nabet 2014-06-21 20:42:31 UTC
I'll send an email to the author of the extension to see if he'd like to add the missing translations.
Comment 5 Commit Notification 2014-06-23 09:08:23 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=69987ea99a722cb4b3e2df3132b89bacd0a5b862&h=libreoffice-4-2

Related fdo#58774 Alternative dialog Find & Replace for Writer


It will be available in LibreOffice 4.2.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2014-06-23 09:08:36 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=41c4c5f08835d1774229d179804d43dafec605a4&h=libreoffice-4-3

Related fdo#58774 Alternative dialog Find & Replace for Writer


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Robinson Tryon (qubit) 2015-12-15 22:47:01 UTC
Migrating Whiteboard tags to Keywords: (easyHack difficultyBeginner skillLibreOfficeBasic )
[NinjaEdit]